Subject: Re: bug#50214: 28.0.50; cl-struct changes may affect user packages in the wild

From: Adam Porter <[email-masked]>
Date: Thu, 26 Aug 2021 15:52:30 -0500

On Thu, Aug 26, 2021 at 2:37 PM Lars Ingebrigtsen <[email-masked]> wrote:
>
> I'm not very familiar with the internals of cl-struct, but if I
> understand correctly, I think this is...  well...  an internal thing
> that package writers should expect to change, so they shouldn't rely on
> things like this.

Unfortunately, I know of no other way to implement what ts.el does
without modifying the accessors, which requires accessing the internal
struct details after it is defined.  Unless I've missed something, or
something has changed, of course.  Regardless, the library's been
working well for the almost 3 years since I wrote it, and it's used in
various packages now, even including a few not my own.  :)

Anyway, if I have to add an Emacs-version check, that's not a big
deal.  I'll just have to answer the inevitable "I upgraded to Emacs 28
and your package doesn't work anymore" reports.